package com.migao.entity.po;

import com.baomidou.mybatisplus.annotation.*;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author dingsong
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Entity
@Table(name = "t_document_share")
@org.hibernate.annotations.Table(appliesTo = "t_document_share", comment = "文档共享")
@TableName("t_document_share")
public class DocumentSharing implements Serializable {
    @Id
    @TableId(type = IdType.AUTO)
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id", columnDefinition = "int comment '主键'")
    private Integer id;

    @Column(name = "document_code", columnDefinition = "bigint(20) comment '文档编码'")
    private Integer documentCode;

    @Column(name = "document_name", columnDefinition = "varchar(255) comment '文档名称'")
    private String documentName;

    @Column(name = "project_type_id", columnDefinition = "bigint(20) comment '项目类别id'")
    private Integer projectTypeId;

    @Column(name = "project_phase_id", columnDefinition = "bigint(20) comment '项目阶段id'")
    private Integer projectPhaseId;

    @Column(name = "document_format_id", columnDefinition = "bigint(20) comment '文档格式id'")
    private Integer documentFormatId;

    @Column(name = "must_project_type", columnDefinition = "varchar(255) comment '必须项目类型'")
    private String mustProjectType;

    @Column(name = "submitter", columnDefinition = "varchar(255) comment '提交人'")
    private String submitter;

    @Column(name = "submit_time", columnDefinition = "timestamp DEFAULT CURRENT_TIMESTAMP comment '提交时间'")
    private LocalDateTime submitTime;

    @Column(name = "document_id", columnDefinition = "bigint(20) comment '文档id'")
    private Integer documentId;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    @Column(name = "deleted", columnDefinition = "tinyint(4) comment '逻辑删除 0未删除 1已删除'")
    private Integer deleted;

    @Column(name = "create_time", columnDefinition = "timestamp DEFAULT CURRENT_TIMESTAMP comment '创建时间'")
    private LocalDateTime createTime;

    @JoinColumn(name = "create_user_id", columnDefinition = "bigint(20) comment '新增人'")
    private Integer createUserId;
}
