package com.migao.entity.po;

import com.baomidou.mybatisplus.annotation.*;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;

/**
 * @author dingsong
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Entity
@Table(name = "t_pay_approve")
@org.hibernate.annotations.Table(appliesTo = "t_pay_approve", comment = "打款审批")
@TableName("t_pay_approve")
public class PayApprove implements Serializable {
    @Id
    @TableId(type = IdType.AUTO)
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    @Column(columnDefinition = "int(11) comment '项目编号'")
    private Integer projectNumber;

    @Column(columnDefinition = "int(11) comment '项目id'")
    private Integer projectId;

    @Column(columnDefinition = "varchar(255) comment '付款名称'")
    private String payName;

    @Column(columnDefinition = "timestamp DEFAULT CURRENT_TIMESTAMP comment '申请时间'")
    private LocalDateTime applicationTime;

    @Column(columnDefinition = "timestamp DEFAULT CURRENT_TIMESTAMP comment '预计打款时间'")
    private LocalDateTime expectTime;

    @Column(columnDefinition = "decimal comment '付款进度'")
    private BigDecimal paySchedule;

    @Column(columnDefinition = "decimal comment '付款金额(万元)'")
    private BigDecimal payMoney;

    @Column(columnDefinition = "varchar(255) comment '收款账号'")
    private String proceedsAccount;

    @Column(columnDefinition = "varchar(255) comment '收款公司名称'")
    private String proceedsCompanyName;

    @Column(columnDefinition = "int(11) comment '申请人id'")
    private Integer applicantId;

    @Column(columnDefinition = "tinyint(1) comment '状态 -1待审核 0审核通过 1已打款 2已驳回'")
    private Integer status;

    @Column(columnDefinition = "text comment '需求内容'")
    private String demandContent;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    @Column(columnDefinition = "tinyint(1) comment '逻辑删除 0未删除 1已删除'")
    private Integer deleted;

    @Column(columnDefinition = "timestamp DEFAULT CURRENT_TIMESTAMP comment '创建时间'")
    private LocalDateTime createTime;

    @JoinColumn(columnDefinition = "int(11) comment '新增人'")
    private Integer createUserId;
}
