package com.migao.entity.po;

import com.baomidou.mybatisplus.annotation.*;
import com.migao.config.constant.ProjectStatus;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Entity
@Table(name = "t_purchasing_approval")
@org.hibernate.annotations.Table(appliesTo = "t_purchasing_approval", comment = "采购审批表")
@TableName("t_purchasing_approval")
public class PurchasingApproval implements Serializable {
    @Id
    @TableId(type = IdType.AUTO)
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id", columnDefinition = "int COMMENT '主键'")
    private Integer id;

    @Column(name = "parent_id", columnDefinition = "bigint(20) comment '父id'")
    private Integer parentId;

    @Column(name = "stage", columnDefinition = "varchar(255) comment '采购阶段'")
    private String stage;

    @Column(name = "status", columnDefinition = "varchar(255) comment '完成状态'")
    private ProjectStatus status;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    @Column(name = "deleted", columnDefinition = "tinyint(4) comment '逻辑删除 0未删除 1已删除'")
    private Integer deleted;

    @Column(name = "create_time", columnDefinition = "timestamp DEFAULT CURRENT_TIMESTAMP comment '创建时间'")
    private LocalDateTime createTime;

    @JoinColumn(name = "create_user_id", columnDefinition = "bigint(20) comment '新增人'")
    private Integer createUserId;
}
